VMTKCENTERLINEVIEWER(1)

NAME
vmtkcenterlineviewer - vmtk script vmtkcenterlineviewer

DESCRIPTION
Automatic piping vmtkcenterlineviewer Parsing options vmtkcenterlineviewer

vmtkcenterlineviewer : display a 3D centerline

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Centerlines (vtkPolyData,1): the input surface

-ifile CenterlinesInputFileName (str,1): filename for the default

    Centerlines reader

-pointarray PointDataArrayName (str,1)

-cellarray CellDataArrayName (str,1)

-legend Legend (bool,1); default=1

-colormap ColorMap (str,1) in ['rainbow', 'blackbody',

    'cooltowarm', 'grayscale']; default=cooltowarm: choose the color map

-numberofcolors NumberOfColors (int,1); default=256: number of

    colors in the color map

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-ofile CenterlinesOutputFileName (str,1): filename for the default

    Centerlines writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Centerlines (vtkPolyData,1): the output centerlines